import 'dart:developer';

class Debug{
  static bool enableLogging = true;
  static bool enableResponseLogging = true;
  static bool enableErrorLoggin = true;
  static bool enableTestLogging = true;

  static void LogResponse(Object? response, {Object src= ''}){
    if(!enableLogging){return;}
    if(!enableResponseLogging) {return;}
    print('\x1B[32m$src response\n$response\x1B[0m');
  }

  static void LogError(Object? msg){
    if(!enableLogging){return;}
    if(!enableErrorLoggin) {return;}
    print('\x1B[31m$msg\x1B[0m');
  }

  static void Log(Object? msg){
    if(!enableLogging) {return;}
    print('\x1B[36m$msg\x1B[0m');
  }

  static void LogTest(Object? msg){
    if(!enableLogging){return;}
    if(!enableTestLogging) {return;}
    print('\x1B[35m$msg\x1B[0m');
  }

}